Problems on CentOS 6.4 (64 bit)

Dan yo3ggx at gmail.com
Fri Oct 11 14:37:56 UTC 2013


Hi all,

On 10/11/2013 7:15 AM, Peter Stuge wrote:
> Mahmoud Lababidi wrote:
>> forget rpm, just install libusb by downloading the tarball at
>> http://www.libusb.org/
>> configure make make install
>>
>> just my two cents
> I'd recommend avoiding the libusbx tarball which has been linked from
> there and instead getting the http://git.libusb.org/libusb.git code.


I have tried to compile both the one from www.libusb.org and the one 
from git.
After recompiling rtl-sdr with the new libraries the errors are the same....

Any other hints?

Thank you,
Dan

>
> Adam Nielsen wrote:
>>>> As far as I can tell, CentOS 6.4 uses libusb 0.1.12, released in
>>>> August 2010.  This is over three years old!  A *lot* of bug fixes
>>>> and improvements happen in three years.
>>> Age has nothing to do with it.
>> So you're saying no useful work was done on libusb in three years?
> It's complicated, but yes libusb.git code hasn't changed in about a
> year. I expect it to work reliably, and indeed one or two bugs have
> been fixed since the 1.0.9 release. (Before you say it, no, I can not
> simply make a 1.0.10 release. As I wrote, it is complicated. If you'd
> like to help out feel free to let me know and I'll explain until your
> ears fall off.. :)
>
>
>> Granted I haven't looked at the commit history but it seems a bit
>> unlikely.
> Please do look into the facts (it's very easy) rather than speculating.
>
>
> Thanks
>
> //Peter
>






More information about the osmocom-sdr mailing list